﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="MultiFilesUploadWithProgress.aspx.cs" Inherits="MultiFilesUploadWithProgress" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>Multiple Files Upload With Progress Bar</title>
    <script type="text/javascript" language="javascript">
        function AddFileUploadControl() {
            var uploadTable = document.getElementById("UploadControlsTable");
            var noOfRows = uploadTable.rows.length;
            var newRowUploadFile = uploadTable.insertRow(noOfRows);
            var cells = newRowUploadFile.insertCell(0);
            var upLoadControlId = 'upUserCtrl' + noOfRows;
            // cells.innerHtml = "<input type=file id='" + upLoadControlId+"'/>";
            var objFile = document.createElement('input');
            //objFile.setAttribute('runat', 'server'); 
            objFile.type = 'file';
            objFile.id = upLoadControlId;
            objFile.name = upLoadControlId;
            cells.size = 35;
            cells.appendChild(objFile);
        }

        function RemoveFileUploadControl() {
            var uploadTable = document.getElementById("UploadControlsTable");
            var noOfRows = uploadTable.rows.length;
            var newRowUploadFile = uploadTable.deleteRow(noOfRows - 1);
        }

        function InvokeFilesUpload() {
            var uploadBtn = document.getElementById('<%=btnUpload.ClientID%>');
            if (uploadBtn) uploadBtn.click();
        }
    </script>
</head>
<body>
    <form id="form1" runat="server">
        <div>
            <table id="UploadControlsTable">
                <tr>
                    <td>
                        <input type="file" id="upUserCtrl" runat="server" /></td>
                </tr>
            </table>
            <br />
            <asp:Button ID="btnUpload" runat="server" OnClick ="btnUpload_Click" Text="上传" />
        </div>
    </form>
</body>
</html>
